# Method: projects.romanizeText

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/romanizeText#try-it)

Romanize input text written in non-Latin scripts to Latin text.

### HTTP request

`POST https://translate.googleapis.com/v3/{parent=projects/*}:romanizeText`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Project or location to make a call. Must refer to a caller's project. Format: `projects/{project-number-or-id}/locations/{location-id}` or `projects/{project-number-or-id}`. For global calls, use `projects/{project-number-or-id}/locations/global` or `projects/{project-number-or-id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contents": [ string ], "sourceLanguageCode": string } ``` |

| Fields ||
|---|---|
| `contents[]` | `string` Required. The content of the input in string format. |
| `sourceLanguageCode` | `string` Optional. The ISO-639 language code of the input text if known, for example, "hi" or "zh". If the source language isn't specified, the API attempts to identify the source language automatically and returns the source language for each content in the response. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3/RomanizeTextResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-translation`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).